cURL
curl --request POST \
--url https://api.vambe.me/api/public/booking-url/{urlName}/create-appointment \
--header 'Content-Type: application/json' \
--data '
{
"patientId": "<string>",
"treatmentId": "<string>",
"professionalId": "<string>",
"locationId": "<string>",
"date": "<string>",
"time": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
patientId: '<string>',
treatmentId: '<string>',
professionalId: '<string>',
locationId: '<string>',
date: '<string>',
time: '<string>'
})
};
fetch('https://api.vambe.me/api/public/booking-url/{urlName}/create-appointment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/booking-url/{urlName}/create-appointment"
payload = {
"patientId": "<string>",
"treatmentId": "<string>",
"professionalId": "<string>",
"locationId": "<string>",
"date": "<string>",
"time": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Booking API
Create an appointment
POST
/
api
/
public
/
booking-url
/
{urlName}
/
create-appointment
cURL
curl --request POST \
--url https://api.vambe.me/api/public/booking-url/{urlName}/create-appointment \
--header 'Content-Type: application/json' \
--data '
{
"patientId": "<string>",
"treatmentId": "<string>",
"professionalId": "<string>",
"locationId": "<string>",
"date": "<string>",
"time": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
patientId: '<string>',
treatmentId: '<string>',
professionalId: '<string>',
locationId: '<string>',
date: '<string>',
time: '<string>'
})
};
fetch('https://api.vambe.me/api/public/booking-url/{urlName}/create-appointment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/booking-url/{urlName}/create-appointment"
payload = {
"patientId": "<string>",
"treatmentId": "<string>",
"professionalId": "<string>",
"locationId": "<string>",
"date": "<string>",
"time": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Path Parameters
Required string length:
3 - 50Body
application/json
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Response
201
Was this page helpful?
